Subject: bug#33258: inhibit-select-window

From: martin rudalics <[email-masked]>
Date: Thu, 08 Nov 2018 09:52:32 +0100

> So to rule out non-interactive callers of vc-diff we need to check
 > for (eq this-command 'vc-diff)?

For example.

 > But there is a simpler and safer solution that I already mentioned:
 > to restore an original window in post-command-hook.  Or even better
 > using your new window-state-change-functions: when inhibit-select-window
 > was found in an alist from display-buffer-alist then check whether
 > the selected window was changed in an alist of changes provided by
 > window-state-change-functions and restore an old selected window.

In either case let's get 'display-buffer' out of this.  After all, its
doc-string says

   "Display BUFFER-OR-NAME in some window, without selecting it."

so we'd be preaching to the choir here.  We might call it
'pop-to-buffer-no-select'.

martin